%define upstream_name    Gnome2-Rsvg
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl module for the gnome2-2.x rsvg libraries
License:    GPLv2+ or Artistic
Group:      Development/GNOME and GTK+
Url:        https://gtk2-perl.sourceforge.net/
Source0:    https://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Gnome2-Rsvg-0.11-no-librsvg-enum-types.h.patch

BuildRequires: perl(Cairo) >= 1.0.0
BuildRequires: perl(ExtUtils::Depends) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.30.0
BuildRequires: perl(Glib) >= 1.20.0
BuildRequires: perl(Gtk2) >= 1.20.0
BuildRequires: pkgconfig(atk)
BuildRequires: pkgconfig(librsvg-2.0) >= 2.4.0
BuildRequires: gtk+2-devel
BuildRequires: perl-devel
Requires:   perl-Glib >= 1.00
%description
This module provides perl access to GNOME-2.x rsvg libraries
(which uses libart and pango to render svg files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
find -type d -name CVS | rm -rf

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
perl Makefile.PL INSTALLDIRS=vendor
%__make

%install
%make_install

%files
%doc LICENSE META.json META.yml MYMETA.yml NEWS README examples
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2/*
%{perl_vendorarch}/auto/Gnome2/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.120.0-5.mga10
+ Revision: 2012027
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.120.0-4.mga9
+ Revision: 1863244
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 0.120.0-3.mga9
+ Revision: 1838621
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.120.0-2.mga9
+ Revision: 1727674
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 0.120.0-1.mga9
+ Revision: 1691282
- update to 0.12

* Fri Jun 19 2020 tv <tv> 0.110.0-23.mga8
+ Revision: 1596595
- rebuild for perl-5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.110.0-22.mga8
+ Revision: 1530313
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 daviddavid <daviddavid> 0.110.0-21.mga8
+ Revision: 1434717
- add patch to fix build with librsvg >= 2.44.13
+ tmb <tmb>
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.110.0-20.mga7
+ Revision: 1292997
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.110.0-19.mga7
+ Revision: 1249399
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.110.0-18.mga7
+ Revision: 1164583
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.110.0-17.mga7
+ Revision: 1150187
- Rebuild for perl ABI changes
- Rebuild for perl ABI changes

* Sun Jul 23 2017 tv <tv> 0.110.0-15.mga7
+ Revision: 1129296
- fix build with perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-14.mga6
+ Revision: 1027950
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.110.0-13.mga6
+ Revision: 957369
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.110.0-12.mga6
+ Revision: 843427
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-11.mga5
+ Revision: 747571
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-10.mga5
+ Revision: 684881
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.110.0-9.mga5
+ Revision: 632440
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-8.mga4
+ Revision: 524612
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.110.0-7.mga4
+ Revision: 431193
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-6.mga3
+ Revision: 367802
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.110.0-5.mga3
+ Revision: 250663
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 0.110.0-4.mga2
+ Revision: 138577
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 0.110.0-3.mga2
+ Revision: 104607
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 36263
- mageia rebuild
- imported package perl-Gnome2-Rsvg

